using RebootKit.Engine.Foundation;
using UnityEngine;

namespace RebootKit.Engine.Services.Input {
    [CreateAssetMenu(menuName = RConsts.ServiceAssetMenu + "Input")]
    public class InputServiceAsset : ServiceAsset<InputService> {
        [SerializeField]
        private InputService.Config _config;

        public override InputService Create() {
            return new InputService(_config);
        }
    }
}